I2C toy code
No puede seleccionar más de 25 temas Los temas deben comenzar con una letra o número, pueden incluir guiones ('-') y pueden tener hasta 35 caracteres de largo.
 
 
 
 
 
 

25 líneas
559 B

  1. #!/bin/bash
  2. set -e
  3. ./sizes
  4. ./constants
  5. for i in $(for j in $(echo $(./hashsum -h | tail -n +3)); do echo $j; done | sort); do echo -n "$i: " && ./hashsum -a $i tests/test.key ; done > hashsum_tv.txt
  6. difftroubles=$(diff -i -w -B hashsum_tv.txt notes/hashsum_tv.txt | grep '^<') || true
  7. if [ -n "$difftroubles" ]; then
  8. echo "FAILURE: hashsum_tv.tx"
  9. diff -i -w -B hashsum_tv.txt notes/hashsum_tv.txt
  10. echo "hashsum failed"
  11. exit 1
  12. else
  13. echo "hashsum okay"
  14. fi
  15. exit 0
  16. # ref: $Format:%D$
  17. # git commit: $Format:%H$
  18. # commit time: $Format:%ai$